Bug 103558 - [CI][IGT] igt@* - dmesg-warn *ERROR* Link Training Unsuccessful
Summary: [CI][IGT] igt@* - dmesg-warn *ERROR* Link Training Unsuccessful
Status: ASSIGNED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: high normal
Assignee: Manasi
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
: 104650 (view as bug list)
Depends on: 103313
Blocks: 105979
  Show dependency treegraph
 
Reported: 2017-11-03 12:18 UTC by Marta Löfstedt
Modified: 2019-05-23 06:41 UTC (History)
3 users (show)

See Also:
i915 platform: BXT, ILK, KBL
i915 features: display/DP


Attachments
attachment-29094-0.html (2.88 KB, text/html)
2017-12-07 09:33 UTC, shashank.sharma@intel.com
no flags Details
attachment-19242-0.html (2.88 KB, text/html)
2018-11-19 13:24 UTC, shashank.sharma@intel.com
no flags Details
attachment-8251-0.html (2.88 KB, text/html)
2019-05-15 16:35 UTC, shashank.sharma@intel.com
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marta Löfstedt 2017-11-03 12:18:38 UTC
Unfortunately the "*ERROR* Link Training Unsuccessful" has shown itself on the KBL-shards again on CI_DRM_3311. The previous occurrence was on CI_DRM_3291.

I am create a new bug for this again, rather than reopen the old ones. 

Both occurances are on KBL6.

on run 24:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/dmesg24.log
It starts here:
<7>[   37.974923] [drm:intel_dp_start_link_train [i915]] Channel equalization failed 5 times
<7>[   37.977086] [drm:intel_dp_start_link_train [i915]] [CONNECTOR:58:DP-1] Link Training failed at link rate = 162000, lane count = 1
<3>[   37.977118] [drm:intel_dp_get_link_train_fallback_values [i915]] *ERROR* Link Training Unsuccessful

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@kms_color@ctm-max-pipe2.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@kms_atomic_transition@plane-all-modeset-transition-fencing.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@syncobj_wait@wait-all-delayed-signal.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@kms_draw_crc@draw-method-rgb565-pwrite-xtiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@kms_render@gpu-blit.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@gem_exec_params@secure-non-master.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@kms_flip_event_leak.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@gem_readwrite@new-obj.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@gem_mmap_wc@read-write-distinct.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@gem_ctx_param@root-set-no-zeromap-disabled.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@kms_cursor_legacy@pipe-A-torture-bo.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@kms_chv_cursor_fail@pipe-C-128x128-left-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@kms_setmode@invalid-clone-exclusive-crtc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@kms_cursor_crc@cursor-64x64-rapid-movement.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@gem_persistent_relocs@forked-faulting-reloc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@kms_rotation_crc@primary-rotation-90-flip.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-indfb-plflip-blt.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@kms_rotation_crc@sprite-rotation-180.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@gem_exec_params@rs-invalid-on-vebox-ring.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-cur-indfb-draw-blt.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@kms_cursor_legacy@flip-vs-cursor-crc-atomic.html

on run 30:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/dmesg30.log
Here it starts on the first test:
<7>[   26.387897] [drm:intel_dp_start_link_train [i915]] Channel equalization failed 5 times
<7>[   26.390048] [drm:intel_dp_start_link_train [i915]] [CONNECTOR:58:DP-1] Link Training failed at link rate = 162000, lane count = 1
<3>[   26.390069] [drm:intel_dp_get_link_train_fallback_values [i915]] *ERROR* Link Training Unsuccessful


https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@kms_cursor_legacy@all-pipes-forked-move.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3311/shard-kbl6/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-pri-shrfb-draw-mmap-cpu.html
Comment 1 Marta Löfstedt 2017-11-03 12:25:19 UTC
FYI the old bugs are bug 102359 and bug 103287
Comment 2 Marta Löfstedt 2017-11-09 07:44:18 UTC
note that this is related to bug 103313
Comment 3 Marta Löfstedt 2017-11-09 13:23:24 UTC
Here is a new bunch from CI_DRM_3325. This time KBL1 was the victim.

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_plane@plane-panning-top-left-pipe-c-planes.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_flip@vblank-vs-hang-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_flip@busy-flip-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_ccs@pipe-c-bad-rotation-90.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_color@ctm-negative-pipe0.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_cursor_crc@cursor-256x85-random.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_flip@flip-vs-panning.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_chv_cursor_fail@pipe-a-64x64-left-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_atomic_interruptible@atomic-setmode.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_chv_cursor_fail@pipe-b-64x64-right-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_color@ctm-blue-to-red-pipe2.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_chv_cursor_fail@pipe-a-64x64-right-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@gem_exec_basic@gtt-vebox.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@prime_vgem@basic-busy-default.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_busy@extended-pageflip-hang-newfb-render-b.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_atomic_interruptible@universal-setplane-primary.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_plane_multiple@atomic-pipe-b-tiling-none.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_atomic_transition@1x-modeset-transitions.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_cursor_legacy@pipe-c-single-bo.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_color@legacy-gamma-pipe2.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_ccs@pipe-e-bad-pixel-format.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_chv_cursor_fail@pipe-b-256x256-left-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@syncobj_wait@wait-all-for-submit-snapshot.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_atomic@test_only.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_properties@invalid-properties-atomic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_concurrent@pipe-c.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-spr-indfb-draw-blt.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_plane_lowres@pipe-a-tiling-y.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_flip@flip-vs-dpms-off-vs-modeset.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_flip@flip-vs-dpms-off-vs-modeset.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_flip@nonexisting-fb.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_universal_plane@universal-plane-pipe-b-functional.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3325/shard-kbl1/igt@kms_plane_multiple@atomic-pipe-a-tiling-y.html
Comment 4 Marta Löfstedt 2017-11-10 08:01:56 UTC
Here are the new linktraining issues of this morning:

KBL1 CI_DRM_3226
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3326/shard-kbl1/igt@perf@blocking.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3326/shard-kbl1/igt@kms_plane_multiple@atomic-pipe-b-tiling-x.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3326/shard-kbl1/igt@kms_atomic@atomic_invalid_params.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3326/shard-kbl1/igt@kms_atomic@plane_invalid_params_fence.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3326/shard-kbl1/igt@kms_color@pipe-invalid-ctm-matrix-sizes.html

KBL6 CI_DRM_3226
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3326/shard-kbl6/igt@gem_busy@busy-bsd2.html

KBL1 CI_DRM_3227
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_color@pipe-invalid-lut-sizes.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@pm_rpm@fences-dpms.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@pm_rpm@legacy-planes.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@pm_rpm@basic-rte.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_universal_plane@universal-plane-pipe-c-functional.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_frontbuffer_tracking@fbc-stridechange.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@pm_rpm@gem-mmap-cpu.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_atomic@plane_primary_legacy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@gem_exec_schedule@in-order-bsd2.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@perf@oa-formats.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_plane@plane-position-hole-dpms-pipe-a-planes.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@gem_pwrite@small-gtt-fbr.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_atomic@plane_invalid_params.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@gem_exec_schedule@deep-bsd1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@gem_exec_params@dr4-dirt.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_pwrite_crc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_plane_lowres@pipe-c-tiling-none.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_ccs@pipe-f-bad-rotation-90.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_color@ctm-0-25-pipe2.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@gem_exec_reloc@basic-write-gtt-active.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_color@legacy-gamma-reset-pipe1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_cursor_crc@cursor-128x42-sliding.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_chv_cursor_fail@pipe-a-64x64-bottom-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@gem_userptr_blits@unsync-unmap-after-close.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_cursor_legacy@pipe-c-forked-move.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-spr-indfb-move.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_color@ctm-blue-to-red-pipe1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_atomic_transition@plane-all-transition.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_mmio_vs_cs_flip@setcrtc_vs_cs_flip.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_universal_plane@cursor-fb-leak-pipe-c.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_cursor_legacy@pipe-a-forked-bo.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_color@gamma-pipe0.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3327/shard-kbl1/igt@kms_frontbuffer_tracking@fbc-1p-shrfb-fliptrack.html
Comment 5 Marta Löfstedt 2017-11-10 08:09:53 UTC
Since, this is a highly unstable issue, it is dangerous to draw any conclusion. However, from IRC:
<marta> tsa, so far all new linktraining tests I have filed from CI_DRM_3311 and forward has been on KBL6 and KBL1, is there anything special about them?
<tsa> nothing that I know. Same FW, same KVM switch type (but diff KVM for 1 and 6)
Comment 6 Marta Löfstedt 2017-11-10 09:36:30 UTC
More from IRC #intel-gfx:

<marta> shashank_sharma, ^^ could you comment if different KVM could affect the frequency of the link-training on KBL?
...
<tsa> marta: but they are the same kvm model, just that we need 2 to connect 7 hosts
<tsa> same kind of hdmi dummy attached, even
<shashank_sharma> marta: marta, there is a fair possibility, as KVM acts as a sink for LSPCON/HDMI devices
<shashank_sharma> marta: in fact while doing some experiments on LSPCON + KVM tsa and jsaa_ also observed some difference in behavior, to the good or the bad side
marta> shashank_sharma, we still have to support all setups, but maybe this is a lead to get yet another LSPCON FW upgrade?
<shashank_sharma> marta: I would agree as a long term goal, but currently focus should be on direct link training failures, KVM would be an added variable
<jsaa> marta: kvmäs used are http://www.aten.com/global/en/products/kvm/desktop-kvm-switches/cs1794/#.WgVv_dNL9aQ
<shashank_sharma> marta: are these boards RVPs or NUCs ?
<tsa> NUCs
<tsa> KBL7i5NUC, full height model
<tsa> exact model NUC7i5BNH
<shashank_sharma> tsa/marta: As per MCA, there is a Phy tuning binary, which should be provided with every MCA LSPCON. If that binary is not configured properly, there can be random Link training issues
<shashank_sharma> As per them, during commercialization, these binaries are flashed as per HW
<shashank_sharma> As the NUC devices come with pre-installed windows, I would assume they are with proper PHY tuning binaries
<shashank_sharma> so I was hoping for an answer "RVP" but you broke my heart :P
<jsaa> shashank_sharma: NUC reliable for CI that is why mojority those.
<jsaa> majority
<shashank_sharma> agree !
<jsaa> but many others: https://intel-gfx-ci.01.org/hardware.html
<shashank_sharma> jsaa: But looks like the link training failures are on NUCs only
<shashank_sharma> so need to talk to MCA again on these errors
<shashank_sharma> interestingly, I have same model kbl NUC NUC7i5BNH and I could not see any LT issues
Comment 7 shashank.sharma@intel.com 2017-11-10 15:43:02 UTC
The latest reports indicates some different problem all-together. For this particular KBL all the tests which can do link training are failing. This seems like some HW failure !
Comment 8 Marta Löfstedt 2017-11-13 09:12:32 UTC
CI_DRM_3331 
KBL3:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3331/shard-kbl3/igt@kms_ccs@pipe-c-crc-primary-rotation-180.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3331/shard-kbl3/igt@kms_cursor_legacy@short-flip-before-cursor-toggle.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3331/shard-kbl3/igt@kms_ccs@pipe-d-bad-rotation-90.html

CI_DRM_3333
KBL7:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3333/shard-kbl7/igt@kms_cursor_legacy@cursora-vs-flipa-legacy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3333/shard-kbl7/igt@kms_busy@basic-modeset-b.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3333/shard-kbl7/igt@kms_cursor_legacy@cursor-vs-flip-toggle.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3333/shard-kbl7/igt@kms_chv_cursor_fail@pipe-a-128x128-left-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3333/shard-kbl7/igt@kms_flip@absolute-wf_vblank-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3333/shard-kbl7/igt@kms_cursor_legacy@short-flip-before-cursor-atomic-transitions-varying-size.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3333/shard-kbl7/igt@gem_exec_parallel@render-fds.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3333/shard-kbl7/igt@kms_plane@plane-position-covered-pipe-a-planes.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3333/shard-kbl7/igt@kms_pipe_crc_basic@nonblocking-crc-pipe-c-frame-sequence.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3333/shard-kbl7/igt@kms_vblank@wait-idle.html

CI_DRM_3335
KBL1:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3337/shard-kbl1/igt@drv_selftest@mock_evict.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3337/shard-kbl1/igt@drv_selftest@mock_hugepages.html
Comment 9 Marta Löfstedt 2017-11-14 07:32:50 UTC
Just one new this morning, but maybe we are covering all with this and other bugs?

KBL2:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3342/shard-kbl2/igt@gem_exec_nop@basic-sequential.html

Anyways, previous ideas that the linktraining issue was limited to specific machines have been disproven.
Comment 10 Hector Velazquez 2017-11-14 15:36:03 UTC
This test have the same dmesg-warn on CFL QA
with IGT-Version: 1.20-g7d75119 (x86_64) (Linux: 4.14.0-rc8-drm-tip-ww45-commit-1342299+ x86_64)

test list:
igt@kms_plane_multiple@atomic-pipe-b-tiling-x
igt@kms_plane_multiple@atomic-pipe-b-tiling-y
igt@kms_plane_multiple@atomic-pipe-b-tiling-yf
igt@kms_plane_multiple@legacy-pipe-b-tiling-x
igt@kms_plane_multiple@legacy-pipe-b-tiling-y
igt@kms_plane_multiple@legacy-pipe-b-tiling-yf
igt@kms_plane_multiple@atomic-pipe-b-tiling-none
igt@kms_properties@plane-properties-legacy
igt@pm_rpm@modeset-non-lpsp-stress
igt@pm_rpm@modeset-non-lpsp-stress-no-wait
igt@pm_rpm@fences-dpms

dmesg-warn:
[ 5784.225188] [drm:intel_dp_get_link_train_fallback_values [i915]] *ERROR* Link Training Unsuccessful
Comment 11 Marta Löfstedt 2017-11-15 07:14:02 UTC
New testcases for this morning:

CI_DRM_3344
KBL1:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3344/shard-kbl1/igt@gem_busy@busy-blt.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3344/shard-kbl1/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-spr-indfb-onoff.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3344/shard-kbl1/igt@kms_busy@basic-flip-a.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3344/shard-kbl1/igt@kms_chv_cursor_fail@pipe-b-256x256-top-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3344/shard-kbl1/igt@pm_rpm@gem-evict-pwrite.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3344/shard-kbl1/igt@kms_busy@extended-modeset-hang-newfb-with-reset-render-c.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3344/shard-kbl1/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-pri-shrfb-draw-mmap-wc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3344/shard-kbl1/igt@kms_frontbuffer_tracking@fbc-1p-offscren-pri-indfb-draw-mmap-wc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3344/shard-kbl1/igt@kms_plane_lowres@pipe-b-tiling-none.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3344/shard-kbl1/igt@kms_busy@extended-pageflip-hang-newfb-render-c.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3344/shard-kbl1/igt@kms_cursor_crc@cursor-size-change.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3344/shard-kbl1/igt@kms_pipe_crc_basic@nonblocking-crc-pipe-a.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3344/shard-kbl1/igt@kms_flip@basic-plain-flip.html

CI_DRM_3345 KBL1
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3345/shard-kbl1/igt@kms_draw_crc@draw-method-rgb565-pwrite-untiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3345/shard-kbl1/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-pri-shrfb-draw-mmap-gtt.html

CI_DRM_3347 KBL1
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_color@ctm-negative-pipe1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_chv_cursor_fail@pipe-c-128x128-bottom-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_plane@plane-position-hole-pipe-a-planes.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_draw_crc@draw-method-rgb565-mmap-wc-untiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-pri-indfb-draw-mmap-wc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_busy@extended-modeset-hang-newfb-render-a.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_flip@vblank-vs-hang.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_cursor_legacy@basic-flip-after-cursor-legacy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@pm_rpm@sysfs-read.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_plane_lowres@pipe-b-tiling-yf.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_plane@plane-panning-top-left-pipe-b-planes.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3345/shard-kbl1/igt@sw_sync@sync_busy_fork.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@perf@mi-rpc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@prime_busy@hang-render.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@pm_rpm@gem-pread.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_cursor_legacy@cursora-vs-flipa-atomic-transitions-varying-size.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_chv_cursor_fail@pipe-b-64x64-bottom-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_flip@flip-vs-rmfb.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_vblank@wait-forked.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@prime_busy@wait-after-blt.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_frontbuffer_tracking@fbc-modesetfrombusy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_frontbuffer_tracking@fbc-indfb-scaledprimary.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_plane_lowres@pipe-c-tiling-yf.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_cursor_legacy@basic-busy-flip-before-cursor-legacy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_universal_plane@universal-plane-gen9-features-pipe-c.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@gem_userptr_blits@sync-unmap-cycles.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_plane_multiple@atomic-pipe-a-tiling-none.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_atomic@plane_cursor_legacy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_flip@flip-vs-dpms-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_color@ctm-max-pipe0.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_atomic_transition@plane-all-transition-nonblocking-fencing.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_color@ctm-0-25-pipe1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_chv_cursor_fail@pipe-a-256x256-left-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_color@legacy-gamma-pipe1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_ccs@pipe-a-bad-pixel-format.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_ccs@pipe-a-bad-pixel-format.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl1/igt@kms_frontbuffer_tracking@fbc-1p-offscren-pri-indfb-draw-mmap-gtt.html


CI_DRM_3347 KBL3
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl3/igt@kms_flip@wf_vblank-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl3/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-indfb-msflip-blt.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl3/igt@kms_frontbuffer_tracking@fbc-rgb101010-draw-pwrite.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl3/igt@kms_frontbuffer_tracking@fbc-rgb565-draw-mmap-cpu.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3347/shard-kbl3/igt@gem_persistent_relocs@forked-thrashing.html
Comment 12 Marta Löfstedt 2017-11-16 07:43:23 UTC
The new link-training issues of the morning:

CI_DRM_3349 KBL4:
Note a lote of these are intertwined with:
[  187.747313] e1000e 0000:00:1f.6 eno1: Detected Hardware Unit Hang:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3349/shard-kbl4/igt@kms_properties@invalid-properties-legacy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3349/shard-kbl4/igt@gem_exec_basic@gtt-default.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3349/shard-kbl4/igt@kms_busy@extended-modeset-hang-newfb-with-reset-render-b.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3349/shard-kbl4/igt@kms_pipe_crc_basic@hang-read-crc-pipe-b.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3349/shard-kbl4/igt@kms_fence_pin_leak.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3349/shard-kbl4/igt@gem_exec_reloc@basic-cpu-wc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3349/shard-kbl4/igt@kms_flip@flip-vs-blocking-wf-vblank.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3349/shard-kbl4/igt@kms_flip_tiling@flip-x-tiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3349/shard-kbl4/igt@pm_rpm@gem-mmap-gtt.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3349/shard-kbl4/igt@kms_flip_tiling@flip-changes-tiling.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3349/shard-kbl4/igt@gem_userptr_blits@stress-mm-invalidate-close.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3349/shard-kbl4/igt@kms_flip@single-buffer-flip-vs-dpms-off-vs-modeset-interruptible.html


CI_DRM_3352 KBL3:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3352/shard-kbl3/igt@pm_rpm@modeset-non-lpsp-stress-no-wait.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3352/shard-kbl3/igt@kms_flip@flip-vs-modeset-vs-hang-interruptible.html
Comment 19 Marta Löfstedt 2017-11-27 07:42:54 UTC
Monday morning harvest:

CI_DRM_3381 KBL5:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3381/shard-kbl5/igt@kms_universal_plane@universal-plane-pipe-a-functional.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3381/shard-kbl5/igt@kms_universal_plane@universal-plane-gen9-features-pipe-a.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3381/shard-kbl5/igt@kms_atomic_transition@1x-modeset-transitions-fencing.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3381/shard-kbl5/igt@kms_plane_multiple@legacy-pipe-a-tiling-y.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3381/shard-kbl5/igt@kms_addfb_basic@basic-x-tiled.html

CI_DRM_3387 KBL4:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3387/shard-kbl4/igt@gem_busy@extended-parallel-bsd1.html

CI_DRM_3389 KBL6:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3389/shard-kbl6/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-shrfb-plflip-blt.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3389/shard-kbl6/igt@kms_cursor_crc@cursor-128x42-offscreen.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3389/shard-kbl6/igt@syncobj_wait@invalid-signal-zero-handles.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3389/shard-kbl6/igt@prime_busy@basic-wait-after-default.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3389/shard-kbl6/igt@gem_exec_parallel@blt-contexts.html

CI_DRM_3390 KBL2:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3390/shard-kbl2/igt@gem_cs_tlb@bsd2.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3390/shard-kbl2/igt@kms_ccs@pipe-d-bad-pixel-format.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4012/shard-

IGT_4012 KBL1:
kbl1/igt@kms_cursor_crc@cursor-128x128-rapid-movement.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4012/shard-kbl1/igt@gem_exec_basic@readonly-default.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4012/shard-kbl1/igt@kms_busy@extended-pageflip-modeset-hang-oldfb-render-a.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4013/shard-

IGT_4013 KBL7:
kbl7/igt@kms_plane_multiple@atomic-pipe-a-tiling-x.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4013/shard-kbl7/igt@kms_pipe_crc_basic@bad-nb-words-1.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4013/shard-kbl7/igt@kms_chv_cursor_fail@pipe-b-256x256-bottom-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4013/shard-kbl7/igt@kms_flip@rcs-wf_vblank-vs-dpms-interruptible.html
Comment 21 Marta Löfstedt 2017-12-01 09:03:44 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3424/shard-kbl4/igt@kms_flip@flip-vs-panning-vs-hang.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3424/shard-kbl4/igt@perf_pmu@other-init-4.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3424/shard-kbl4/igt@core_get_client_auth@master-drop.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3424/shard-kbl4/igt@kms_flip@wf_vblank-vs-modeset-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3424/shard-kbl4/igt@gem_pwrite@big-gtt-forwards.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3424/shard-kbl4/igt@kms_chv_cursor_fail@pipe-c-128x128-top-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3422/shard-kbl5/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-pri-indfb-draw-pwrite.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3422/shard-kbl5/igt@kms_pipe_crc_basic@read-crc-pipe-a.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3422/shard-kbl5/igt@kms_color@ctm-green-to-red-pipe1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3422/shard-kbl5/igt@syncobj_wait@multi-wait-all-signaled.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3422/shard-kbl5/igt@kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-mmap-gtt.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3422/shard-kbl5/igt@kms_rotation_crc@primary-rotation-90.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4029/shard-kbl3/igt@kms_flip@vblank-vs-dpms-suspend.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@prime_vgem@busy-bsd1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@kms_cursor_legacy@flip-vs-cursor-busy-crc-legacy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@kms_chv_cursor_fail@pipe-c-64x64-top-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@kms_flip_tiling@flip-to-y-tiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@kms_flip@rcs-wf_vblank-vs-modeset-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@prime_mmap@test_correct.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@kms_flip@vblank-vs-modeset-rpm-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@kms_atomic_transition@plane-use-after-nonblocking-unbind.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@kms_color@ctm-green-to-red-pipe0.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@kms_flip@vblank-vs-modeset-suspend-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@gem_exec_blt@cold-min.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@kms_frontbuffer_tracking@fbc-1p-offscren-pri-indfb-draw-render.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@gem_pwrite_pread@snooped-copy-performance.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@kms_cursor_crc@cursor-64x64-offscreen.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@kms_universal_plane@cursor-fb-leak-pipe-a.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@kms_addfb_basic@framebuffer-vs-set-tiling.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@kms_cursor_legacy@pipe-b-forked-bo.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3417/shard-kbl1/igt@gem_ctx_create@basic.html
Comment 22 Marta Löfstedt 2017-12-04 08:27:39 UTC
new subtest from this weekend:

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3430/shard-kbl6/igt@gem_exec_schedule@smoketest-all.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3433/shard-kbl2/igt@pm_rpm@modeset-non-lpsp.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3433/shard-kbl2/igt@kms_flip@rcs-wf_vblank-vs-modeset.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3433/shard-kbl2/igt@kms_rotation_crc@sprite-rotation-180-flip.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3433/shard-kbl2/igt@kms_chv_cursor_fail@pipe-c-256x256-top-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3434/shard-kbl2/igt@kms_pipe_crc_basic@read-crc-pipe-a-frame-sequence.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3434/shard-kbl2/igt@kms_plane@plane-panning-bottom-right-pipe-c-planes.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3434/shard-kbl2/igt@kms_flip@blt-wf_vblank-vs-dpms.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3434/shard-kbl2/igt@gem_exec_reuse@single.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3437/shard-kbl4/igt@kms_cursor_crc@cursor-128x128-dpms.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3437/shard-kbl4/igt@sw_sync@sync_multi_consumer_producer.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3437/shard-kbl4/igt@kms_plane@plane-panning-bottom-right-suspend-pipe-b-planes.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3437/shard-kbl4/igt@prime_vgem@sync-vebox.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3437/shard-kbl4/igt@kms_color@ctm-0-75-pipe2.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3437/shard-kbl4/igt@gem_madvise@dontneed-before-mmap.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3444/shard-kbl7/igt@kms_cursor_crc@cursor-64x21-offscreen.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3445/shard-kbl3/igt@kms_plane@plane-panning-bottom-right-suspend-pipe-a-planes.html
Comment 26 Marta Löfstedt 2017-12-07 09:32:50 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3468/shard-kbl4/igt@kms_frontbuffer_tracking@fbc-shrfb-scaledprimary.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3468/shard-kbl4/igt@drv_hangman@hangcheck-unterminated.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3466/shard-kbl7/igt@kms_chv_cursor_fail@pipe-b-256x256-right-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3466/shard-kbl7/igt@kms_chv_cursor_fail@pipe-b-128x128-top-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3465/shard-kbl6/igt@prime_vgem@busy-bsd.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3465/shard-kbl6/igt@kms_ccs@pipe-a-ccs-on-another-bo.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3465/shard-kbl6/igt@gem_exec_params@invalid-bsd1-flag-on-vebox.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3465/shard-kbl6/igt@kms_atomic_transition@plane-all-modeset-transition.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3465/shard-kbl6/igt@kms_addfb_basic@addfb25-bad-modifier.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3465/shard-kbl6/igt@kms_cursor_crc@cursor-256x256-sliding.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3465/shard-kbl6/igt@perf_pmu@render-node-busy-vcs1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3462/shard-kbl6/igt@kms_plane_multiple@legacy-pipe-c-tiling-x.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3462/shard-kbl6/igt@kms_color@ctm-red-to-blue-pipe2.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3462/shard-kbl6/igt@kms_plane@plane-panning-bottom-right-pipe-b-planes.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3462/shard-kbl6/igt@kms_cursor_crc@cursor-64x21-sliding.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3462/shard-kbl6/igt@kms_cursor_crc@cursor-128x128-random.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3462/shard-kbl6/igt@gem_exec_blt@normal-max.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3462/shard-kbl6/igt@kms_flip@flip-vs-panning-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3460/shard-kbl1/igt@kms_rotation_crc@bad-tiling.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3460/shard-kbl1/igt@perf_pmu@init-busy-vcs1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3460/shard-kbl1/igt@gem_persistent_relocs@forked-interruptible-thrash-inactive.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3460/shard-kbl1/igt@kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-mmap-wc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3460/shard-kbl1/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy-gup.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3460/shard-kbl1/igt@kms_busy@extended-pageflip-hang-newfb-render-a.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3460/shard-kbl1/igt@kms_addfb_basic@unused-pitches.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3460/shard-kbl1/igt@kms_mmap_write_crc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3460/shard-kbl1/igt@gem_exec_reloc@basic-write-cpu-noreloc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3459/shard-kbl7/igt@kms_rotation_crc@primary-rotation-180.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3459/shard-kbl7/igt@kms_color@degamma-pipe0.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3459/shard-kbl7/igt@kms_flip_tiling@flip-to-x-tiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3459/shard-kbl7/igt@kms_color@legacy-gamma-reset-pipe2.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3459/shard-kbl7/igt@kms_cursor_legacy@basic-busy-flip-before-cursor-atomic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3459/shard-kbl7/igt@kms_cursor_crc@cursor-64x64-onscreen.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3459/shard-kbl7/igt@kms_flip@blocking-absolute-wf_vblank.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3459/shard-kbl7/igt@kms_cursor_legacy@flip-vs-cursor-busy-crc-atomic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3459/shard-kbl7/igt@kms_cursor_legacy@basic-flip-after-cursor-atomic.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4038/shard-kbl7/igt@gem_set_tiling_vs_blt@untiled-to-tiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4038/shard-kbl7/igt@gem_ctx_exec@basic.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4038/shard-kbl7/igt@kms_properties@get_properties-sanity.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4038/shard-kbl7/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-spr-indfb-draw-pwrite.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4038/shard-kbl7/igt@kms_cursor_legacy@pipe-c-single-move.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4038/shard-kbl7/igt@syncobj_wait@multi-wait-all-submitted.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4038/shard-kbl7/igt@pm_rpm@modeset-non-lpsp-stress.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4038/shard-kbl7/igt@kms_properties@connector-properties-atomic.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4038/shard-kbl7/igt@kms_cursor_legacy@basic-flip-before-cursor-varying-size.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4038/shard-kbl7/igt@gem_exec_params@invalid-bsd1-flag-on-render.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3458/shard-kbl6/igt@kms_ccs@pipe-b-bad-rotation-90.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3458/shard-kbl6/igt@kms_addfb_basic@addfb25-yf-tiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3458/shard-kbl6/igt@perf_pmu@idle-no-semaphores-vcs1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3458/shard-kbl6/igt@gem_wait@await-default.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3458/shard-kbl6/igt@kms_properties@connector-properties-legacy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3458/shard-kbl6/igt@kms_cursor_legacy@pipe-c-forked-bo.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3458/shard-kbl6/igt@gem_fence_thrash@bo-write-verify-none.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3458/shard-kbl6/igt@kms_rotation_crc@primary-rotation-90-y-tiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3458/shard-kbl6/igt@gem_exec_capture@capture-vebox.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3458/shard-kbl6/igt@kms_plane_multiple@atomic-pipe-c-tiling-yf.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3458/shard-kbl6/igt@kms_atomic_transition@plane-toggle-modeset-transition.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3458/shard-kbl6/igt@perf_pmu@most-busy-check-all-vecs0.html
Comment 27 shashank.sharma@intel.com 2017-12-07 09:33:20 UTC
Created attachment 136031 [details]
attachment-29094-0.html

Hello,
I am on vacation between 06 Dec - 16 Dec  with limited Phone and no mail access.
Please expect delay in response.

If this is something urgent, please contact my manager : Indranil, Mukherjee

Regards
Shashank
Comment 28 shashank.sharma@intel.com 2017-12-07 13:04:30 UTC
(In reply to shashank.sharma@intel.com from comment #27)
> Created attachment 136031 [details]
> attachment-29094-0.html
> 
> Hello,
> I am on vacation between 06 Dec - 16 Dec  with limited Phone and no mail
> access.
> Please expect delay in response.
> 
> If this is something urgent, please contact my manager : Indranil, Mukherjee
> 
> Regards
> Shashank

Please ignore, wrong OOO message :) !
Comment 30 Marta Löfstedt 2017-12-11 08:47:36 UTC
The weekend harvest on new subtests affected by link training on KBL

https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4054/shard-kbl3/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-cur-indfb-draw-mmap-cpu.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4054/shard-kbl3/igt@kms_flip@blocking-absolute-wf_vblank-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4054/shard-kbl3/igt@gem_mmap_gtt@forked-medium-copy-xy.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4054/shard-kbl3/igt@gem_flink_basic@bad-flink.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4054/shard-kbl3/igt@kms_flip@nonexisting-fb-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4054/shard-kbl3/igt@prime_vgem@basic-fence-flip.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4054/shard-kbl3/igt@kms_color@legacy-gamma-reset-pipe0.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4054/shard-kbl3/igt@kms_color@degamma-pipe1.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4054/shard-kbl3/igt@perf_pmu@init-busy-rcs0.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3493/shard-kbl3/igt@kms_vblank@crtc-id.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3493/shard-kbl3/igt@kms_color@degamma-pipe2.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3493/shard-kbl3/igt@kms_cursor_legacy@basic-flip-before-cursor-atomic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3493/shard-kbl3/igt@gem_tiled_wc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3490/shard-kbl7/igt@kms_draw_crc@draw-method-xrgb2101010-render-xtiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3490/shard-kbl7/igt@kms_cursor_crc@cursor-128x128-onscreen.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3490/shard-kbl7/igt@kms_chv_cursor_fail@pipe-b-128x128-right-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3490/shard-kbl7/igt@kms_flip@blt-wf_vblank-vs-dpms-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3486/shard-kbl3/igt@drm_read@empty-nonblock.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3485/shard-kbl3/igt@kms_flip@flip-vs-panning-vs-hang-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3485/shard-kbl3/igt@kms_plane_lowres@pipe-a-tiling-yf.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3485/shard-kbl3/igt@kms_chv_cursor_fail@pipe-c-128x128-right-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3485/shard-kbl3/igt@gem_render_copy_redux@interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3485/shard-kbl3/igt@kms_plane_lowres@pipe-b-tiling-x.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3485/shard-kbl3/igt@gem_mmap_gtt@forked-medium-copy.html
Comment 36 Marta Löfstedt 2017-12-18 08:18:16 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3523/shard-kbl1/igt@gem_exec_parallel@vebox.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3523/shard-kbl1/igt@drm_import_export@flink.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3523/shard-kbl1/igt@gem_exec_store@pages-bsd1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3526/shard-kbl6/igt@kms_atomic_transition@plane-all-transition-nonblocking.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3526/shard-kbl6/igt@kms_setmode@invalid-clone-single-crtc-stealing.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3526/shard-kbl6/igt@perf_pmu@busy-no-semaphores-vcs1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3526/shard-kbl6/igt@gem_exec_reloc@basic-write-cpu.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3527/shard-kbl6/igt@gem_mmap_wc@close.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3527/shard-kbl6/igt@kms_cursor_legacy@all-pipes-torture-bo.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3527/shard-kbl6/igt@gem_gpgpu_fill.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3528/shard-kbl2/igt@drm_import_export@prime.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3528/shard-kbl2/igt@kms_flip@wf_vblank-vs-modeset.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3528/shard-kbl2/igt@kms_ccs@pipe-b-missing-ccs-buffer.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3528/shard-kbl2/igt@gem_exec_store@basic-bsd2.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3536/shard-kbl7/igt@kms_plane@plane-position-covered-pipe-b-planes.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3536/shard-kbl7/igt@kms_chv_cursor_fail@pipe-a-64x64-top-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3536/shard-kbl7/igt@kms_universal_plane@universal-plane-pipe-a-sanity.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3537/shard-kbl4/igt@kms_properties@plane-properties-legacy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3537/shard-kbl4/igt@kms_color@ctm-0-75-pipe1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3537/shard-kbl4/igt@kms_plane@plane-panning-bottom-right-pipe-a-planes.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3537/shard-kbl4/igt@kms_plane_lowres@pipe-a-tiling-x.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3537/shard-kbl4/igt@gem_persistent_relocs@forked-interruptible-faulting-reloc.html
Comment 37 Eero Tamminen 2017-12-20 12:36:53 UTC
We started seeing link training errors in dmesg on our perf lab last week (16th onwards), on KBL GT3e NUC which is connected to KVM, but not on KBL GT2 NUC, which isn't connected to KVM.

This happened on all tracks, Mesa, X, kernel, so it seems to have been triggered by something else than kernel change (firmware?).

KVM connector is DVI, which is connected to KBL i7 7567U HDMI output through HDMI->DVI converter:
----------------------------------
$ sudo cat /sys/kernel/debug/dri/0/i915_display_info
...
connector 47: type DP-1, status: connected
	name: 
	physical dimensions: 530x300mm
	subpixel order: Unknown
	CEA rev: 3
	DPCD rev: 12
	audio support: yes
	DP branch device present: yes
		Type: HDMI
		ID: MC2800�s{�
		HW: 2.2
		SW: 1.66
		Max TMDS clock: 600000 kHz
		Max bpc: 16
----------------------------------

Other (non-KBL) devices connected to the same KVM with similar converter don't show same issue, just KBL.
Comment 38 shashank.sharma@intel.com 2017-12-21 03:58:19 UTC
From the connector status, I can see:
DP branch device present: yes
		Type: HDMI
		ID: MC2800�s{�
		HW: 2.2
	->	SW: 1.66 (This is Old LSPCON FW)

LSPCON FW needs to be V1.72, to get rid of most(if not all) Link training issues
Comment 47 Marta Löfstedt 2018-01-16 07:36:56 UTC
*** Bug 104650 has been marked as a duplicate of this bug. ***
Comment 51 Marta Löfstedt 2018-01-22 07:26:10 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4160/shard-kbl6/igt@kms_color@pipe-c-degamma.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4160/shard-kbl6/igt@kms_color@pipe-c-ctm-green-to-red.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4160/shard-kbl6/igt@prime_vgem@basic-gtt.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4160/shard-kbl6/igt@gem_mocs_settings@mocs-settings-bsd2.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4160/shard-kbl5/igt@gem_exec_basic@readonly-bsd1.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4160/shard-kbl6/igt@gem_exec_params@cliprects_ptr-dirt.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4160/shard-kbl6/igt@kms_plane_scaling@pipe-c-plane-scaling.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4160/shard-kbl6/igt@gem_exec_schedule@preemptive-hang-bsd.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4160/shard-kbl6/igt@syncobj_basic@bad-pad-fd-to-handle.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4160/shard-kbl6/igt@gem_exec_schedule@reorder-wide-bsd1.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4160/shard-kbl6/igt@gem_exec_blt@dumb-buf-max.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4160/shard-kbl6/igt@kms_busy@extended-modeset-hang-oldfb-render-c.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4160/shard-kbl6/igt@kms_busy@basic-modeset-a.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4160/shard-kbl6/igt@kms_pipe_crc_basic@read-crc-pipe-b-frame-sequence.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4160/shard-kbl6/igt@kms_flip_tiling@flip-y-tiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4159/shard-kbl5/igt@gem_exec_parallel@fds.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4159/shard-kbl5/igt@gem_exec_reloc@basic-gtt-read.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4159/shard-kbl5/igt@kms_color@pipe-c-legacy-gamma.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4159/shard-kbl5/igt@gem_pipe_control_store_loop@fresh-buffer.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4159/shard-kbl3/igt@gem_partial_pwrite_pread@writes-after-reads.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4159/shard-kbl5/igt@gem_unfence_active_buffers.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3664/shard-kbl2/igt@gem_wait@invalid-flags.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3663/shard-kbl5/igt@gem_wait@write-wait-blt.html
Comment 53 Marta Löfstedt 2018-01-25 07:00:27 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4177/shard-kbl3/igt@gem_sync@basic-store-each.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4177/shard-kbl5/igt@gem_eio@hibernate.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4177/shard-kbl5/igt@kms_rmfb@close-fd.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4177/shard-kbl5/igt@kms_vblank@pipe-c-ts-continuation-modeset-rpm.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4177/shard-kbl5/igt@prime_vgem@basic-fence-mmap.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4176/shard-kbl3/igt@kms_vblank@pipe-a-query-forked-hang.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4176/shard-kbl3/igt@kms_plane@pixel-format-pipe-a-planes.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3683/shard-kbl5/igt@kms_vblank@pipe-a-accuracy-idle.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3683/shard-kbl5/igt@kms_vblank@pipe-c-ts-continuation-idle.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3682/shard-kbl2/igt@syncobj_wait@wait-all-snapshot.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3682/shard-kbl2/igt@kms_vblank@pipe-b-query-idle.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3682/shard-kbl2/igt@gem_mmap_wc@write-cpu-read-wc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3681/shard-kbl3/igt@kms_atomic@crtc_invalid_params_fence.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3681/shard-kbl3/igt@kms_vblank@pipe-c-ts-continuation-modeset-hang.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3681/shard-kbl3/igt@kms_vblank@pipe-c-query-forked-busy-hang.html
Comment 57 Marta Löfstedt 2018-01-31 07:42:57 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3701/shard-kbl1/igt@gem_exec_schedule@preempt-hang-blt.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3701/shard-kbl1/igt@kms_draw_crc@draw-method-xrgb2101010-blt-ytiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3700/shard-kbl4/igt@kms_vblank@pipe-b-wait-busy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3700/shard-kbl1/igt@kms_vblank@pipe-b-query-busy-hang.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3700/shard-kbl4/igt@kms_vblank@pipe-a-wait-busy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3700/shard-kbl4/igt@gem_exec_parallel@bsd2-fds.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3700/shard-kbl1/igt@drm_import_export@import-close-race-flink.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3700/shard-kbl1/igt@kms_cursor_legacy@short-flip-after-cursor-atomic-transitions.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3700/shard-kbl4/igt@drm_vma_limiter_cached.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3700/shard-kbl1/igt@perf_pmu@init-sema-vcs1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3700/shard-kbl4/igt@gem_userptr_blits@sync-unmap.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3700/shard-kbl3/igt@syncobj_wait@wait-all-for-submit-delayed-submit.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3699/shard-kbl3/igt@kms_vblank@pipe-a-ts-continuation-modeset-hang.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3699/shard-kbl3/igt@gem_userptr_blits@forbidden-operations.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3699/shard-kbl3/igt@prime_self_import@basic-with_fd_dup.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3699/shard-kbl3/igt@kms_frontbuffer_tracking@fbc-rgb101010-draw-blt.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3699/shard-kbl3/igt@perf_pmu@busy-rcs0.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3698/shard-kbl5/igt@kms_vblank@pipe-b-ts-continuation-idle-hang.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3698/shard-kbl5/igt@kms_vblank@pipe-a-ts-continuation-idle-hang.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3697/shard-kbl4/igt@kms_vblank@pipe-b-accuracy-idle.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3697/shard-kbl4/igt@kms_vblank@pipe-c-ts-continuation-idle-hang.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3697/shard-kbl4/igt@prime_busy@hang-bsd1.html
Comment 59 Marta Löfstedt 2018-02-05 06:57:18 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4216/shard-kbl6/igt@kms_color@pipe-a-legacy-gamma-reset.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4215/shard-kbl6/igt@core_setmaster_vs_auth.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4215/shard-kbl6/igt@kms_chv_cursor_fail@pipe-a-128x128-top-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4213/shard-kbl5/igt@kms_plane_multiple@legacy-pipe-b-tiling-x.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4213/shard-kbl5/igt@kms_vblank@pipe-c-query-idle.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4213/shard-kbl5/igt@gem_wait@write-wait-default.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4212/shard-kbl5/igt@syncobj_wait@reset-signaled.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4212/shard-kbl5/igt@kms_plane@pixel-format-pipe-c-planes.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4212/shard-kbl5/igt@syncobj_wait@reset-during-wait-for-submit.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4212/shard-kbl5/igt@kms_vblank@pipe-a-wait-forked-busy.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4212/shard-kbl5/igt@kms_vblank@pipe-c-wait-forked.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4212/shard-kbl5/igt@kms_vblank@pipe-a-query-busy.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4212/shard-kbl5/igt@kms_vblank@pipe-b-wait-idle.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4212/shard-kbl5/igt@gem_userptr_blits@map-fixed-invalidate.html
Comment 64 Marta Löfstedt 2018-02-14 07:22:39 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3768/shard-kbl1/igt@gem_exec_store@basic-default.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3768/shard-kbl1/igt@kms_vblank@pipe-c-query-forked-hang.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3768/shard-kbl1/igt@kms_ccs@pipe-a-crc-sprite-planes-basic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3768/shard-kbl1/igt@perf_pmu@busy-no-semaphores-vcs0.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3766/shard-kbl1/igt@perf_pmu@busy-idle-no-semaphores-vecs0.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3765/shard-kbl6/igt@gem_create@create-valid-nonaligned.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3762/shard-kbl5/igt@kms_vblank@pipe-a-query-busy-hang.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3762/shard-kbl5/igt@kms_vblank@pipe-b-query-busy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3762/shard-kbl5/igt@kms_vblank@pipe-c-ts-continuation-modeset.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3762/shard-kbl5/igt@kms_vblank@pipe-c-accuracy-idle.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3762/shard-kbl5/igt@gem_exec_reloc@basic-write-read.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3762/shard-kbl5/igt@gem_tiled_partial_pwrite_pread@writes.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3762/shard-kbl5/igt@gem_wait@await-blt.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3762/shard-kbl5/igt@core_auth@basic-auth.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3762/shard-kbl5/igt@pm_rpm@gem-execbuf.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3761/shard-kbl4/igt@gem_wait@wait-vebox.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3761/shard-kbl2/igt@kms_cursor_legacy@cursor-vs-flip-atomic-transitions-varying-size.html
Comment 85 Jani Saarinen 2018-05-24 10:12:41 UTC
New FW in testing on CI now.
Comment 86 Lakshmi 2018-09-18 13:56:29 UTC
Shashank, any updates on this? This issue occurs with every run of shards (CI_DRM_Full).
Comment 87 shashank.sharma@intel.com 2018-09-19 03:51:07 UTC
(In reply to Lakshmi from comment #86)
> Shashank, any updates on this? This issue occurs with every run of shards
> (CI_DRM_Full).

I am not driving this feature, anymore. Sunil will be the right contact.
- Shashank
Comment 88 Martin Peres 2018-11-19 13:24:35 UTC
APL-guc also has tons of these:

<7> [325.227873] [drm:intel_dp_program_link_training_pattern [i915]] Using DP training pattern TPS1
<7> [325.261582] [drm:drm_dp_dpcd_access] Too many retries, giving up. First error: -5
<3> [325.261699] [drm:intel_dp_start_link_train [i915]] *ERROR* failed to enable link training
Comment 89 shashank.sharma@intel.com 2018-11-19 13:24:45 UTC
Created attachment 142514 [details]
attachment-19242-0.html

Hello,
I am on vacation between 06 Dec - 16 Dec  with limited Phone and no mail access.
Please expect delay in response.

If this is something urgent, please contact my manager : Indranil, Mukherjee

Regards
Shashank
Comment 90 CI Bug Log 2019-03-12 11:36:19 UTC
A CI Bug Log filter associated to this bug has been updated:

{- APL KBL: all tests - dmesg-warn - *ERROR* failed to enable link training -}
{+ ILK APL KBL: all tests - dmesg-warn - *ERROR* failed to enable link training +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4877/fi-ilk-m540/igt@gem_exec_suspend@basic-s3.html
Comment 92 shashank.sharma@intel.com 2019-05-15 16:35:38 UTC
Created attachment 144281 [details]
attachment-8251-0.html

Hello,
I am on vacation between 06 Dec - 16 Dec  with limited Phone and no mail access.
Please expect delay in response.

If this is something urgent, please contact my manager : Indranil, Mukherjee

Regards
Shashank
Comment 93 Manasi 2019-05-22 23:00:13 UTC
Is this still a valid bug? I know this was fixed in 2017 with Shashank's LSPCON fixes.

Manasi
Comment 94 Lakshmi 2019-05-23 06:41:00 UTC
(In reply to Manasi from comment #93)
> Is this still a valid bug? I know this was fixed in 2017 with Shashank's
> LSPCON fixes.
> 
> Manasi

Hi, We have to relook in to the CI bug log filters of this bug and check if they are OK or needs a split.

Different filters are part of this bug.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.